plugin_base.hh File Reference
`#include <map>`
`#include <set>`
`#include <string>`
`#include <ostream>`
`#include <mia/core/paramtranslator.hh>`
`#include <mia/core/module.hh>`
`#include <mia/core/property_flags.hh>`
`#include <mia/core/import_handler.hh>`
Include dependency graph for plugin_base.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | CPluginBase
| The base class for all plug-ins. More...
struct | plugin_can_chain< Plugin >
struct | PrepareTestPluginPath
class | TPlugin< D, T >
| The generic base for all plug-ins. More...

## Variables

EXPORT_CORE const std::string | plugin_help
| standard string to print out help in the factory plug-in handler

## Variable Documentation

## plugin_help

EXPORT_CORE const std::string plugin_help

extern

standard string to print out help in the factory plug-in handler

Referenced by create_plugin< Handler, Chained, chainable >::apply(), and create_plugin< Handler, ProductChained, true >::apply().